Observability
Render the spans in an execution trace
GET /v1/observability/traces/{traceId}/spans · SDK listObservabilityTraceSpans · CLI deployments trace spans
GET
Requires observability:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
traceId*stringLength
1 <= length <= 160cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ObservabilitySpanListResponse
application/json- response
items*array<>nextCursor?string|nullcurl -X GET "https://example.com/v1/observability/traces/string/spans" \ -H "x-deployments-organization: string"{ "items": [ { "actual_model_id": "string", "actual_provider": "string", "attempt_id": "string", "cached_tokens": 0, "cost_usd_micros": 0, "duration_ms": 0, "error_class": "string", "fact_id": "string", "fallback_attempt": 0, "fallback_reason": "string", "input_tokens": 0, "invocation_kind": "string", "kind": "string", "model_call_index": 0, "name": "string", "occurred_at": "2019-08-24T14:15:22Z", "output_tokens": 0, "parent_span_id": "string", "provider_request_id": "string", "requested_model_id": "string", "requested_provider": "string", "run_id": "string", "session_id": "string", "span_id": "string", "status": "string", "stop_reason": "string", "total_tokens": 0, "trace_id": "string" } ], "nextCursor": "string"}